bugzilla.mozilla.org has resumed normal operation. Attachments prior to 2014 will be unavailable for a few days. This is tracked in Bug 1475801.
Please report any other irregularities here.

[RTL][First Time Experience]The "Enable Geolocation" is overlapped with Notice bar on "Geolocation" view.

RESOLVED WORKSFORME

Status

Firefox OS
Gaia::First Time Experience
P2
normal
RESOLVED WORKSFORME
3 years ago
3 years ago

People

(Reporter: Lancy(Leave from Mozilla), Unassigned)

Tracking

({papercut, polish, regression})

unspecified
ARM
Gonk (Firefox OS)
papercut, polish, regression

Firefox Tracking Flags

(tracking-b2g:+, b2g-v2.2 unaffected, b2g-master affected)

Details

(Whiteboard: [systemsfe])

Attachments

(3 attachments)

(Reporter)

Description

3 years ago
Created attachment 8617838 [details]
Flame3.0_Enable Geolocation.png

[1.Description]:
[RTL][Flamev3.0][First Time Experience]Tap "Next" button untill it enters "Geolocation" view, the "Enable Geolocation" is overlapped with Notice bar.
See attachment:Flame3.0_Enable Geolocation.png

[2.Testing Steps]: 
1.Flash device or reset device and enter FTE
2.Tap "Next" button untill it enters "Geolocation" view.

[3.Expected Result]: 
2.The "Enable Geolocation" should not be overlapped with Notice bar.

[4.Actual Result]: 
2.The "Enable Geolocation" is overlapped with Notice bar.

[5.Reproduction build]: 
Device: Flame 2.2 build (Unaffected)
Build ID               20150609081832
Gaia Revision          06edb0f8db7c2f45cde54401a8593663059861a4
Gaia Date              2015-06-08 14:29:09
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/239c59921129
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150609.122002
Firmware Date          Tue Jun  9 12:20:13 EDT 2015
Bootloader             L1TC000118D0

Device: N5 2.2 build (Unaffected)
Build ID               20150609081832
Gaia Revision          06edb0f8db7c2f45cde54401a8593663059861a4
Gaia Date              2015-06-08 14:29:09
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/239c59921129
Gecko Version          37.0
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150609.121628
Firmware Date          Tue Jun  9 12:16:44 EDT 2015
Bootloader             HHZ12f

Device:N5 3.0 build (Unaffected)
Build ID               20150609081840
Gaia Revision          ea27c4ed5b6083c9e21d233d4804372ac4d5d353
Gaia Date              2015-06-08 03:06:41
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/e10e2e8d8bf2
Gecko Version          41.0a1
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150609.121002
Firmware Date          Tue Jun  9 12:10:19 EDT 2015
Bootloader             HHZ11k

Device: Flame 3.0 build (Affected)
Build ID               20150609160220
Gaia Revision          31ef8deec7a04a988eb92309178b87cc0bde8220
Gaia Date              2015-06-08 14:48:40
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/8be8deb10e4f
Gecko Version          41.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150609.193617
Firmware Date          Tue Jun  9 19:36:29 EDT 2015
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,10/10

[7.TCID]: 
Free Test
(Reporter)

Updated

3 years ago
QA Whiteboard: [rtl-impact]
Please add the 2.2 screenshot. Also setting flags (master affected on Flame but not on Nexus 5)
status-b2g-v2.2: --- → unaffected
status-b2g-master: --- → affected
Flags: needinfo?(yulan.zhu)
(Reporter)

Comment 2

3 years ago
Created attachment 8620738 [details]
v2.2_Enable Geolocation.png

Hi Delphine,
2.2 screenshot has been added, please check it. :)
Flags: needinfo?(yulan.zhu)
[Blocking Requested - why for this release]:

Regression on master of RTL experience: text cut off. Nominating for 3.0
blocking-b2g: --- → 3.0?
Keywords: regression
Seems like Gaia just sprung a lot of these kind of errors. It may have a single cause and get fixed elsewhere, but lets keep an eye on this.
Keywords: papercut
Priority: -- → P2
Whiteboard: [systemsfe]
blocking-b2g: 3.0? → ---
tracking-b2g: --- → +
Keywords: polish
(Reporter)

Comment 5

3 years ago
Created attachment 8647945 [details]
Enable Geolocation_v2.5.png

This issue cannot be reproduced on latest Flame&Aries KK v2.5 build by the same STR in comment 0.
Actual Result:The "Enable Geolocation" is not overlapped with Notice bar.
See attachment:Enable Geolocation_v2.5.png.
Reproducing rate:0/10

Change the status from "New" to "Worksforme", if anyone can repro it, reopen again.

Device:FlameKK v2.5 build
Build ID               20150813150207
Gaia Revision          acfaa3957e65d52a0af2185149628a520edcc7e2
Gaia Date              2015-08-13 12:34:28
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/cdf53a4dee219aabec7462888875bac08b093edc
Gecko Version          43.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150813.184539
Firmware Date          Thu Aug 13 18:45:52 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device:AriesKK v2.5 build
Build ID               20150812230643
Gaia Revision          52f3ea58df38e5427f6afeb636bc6ad01d24022f
Gaia Date              2015-08-12 16:40:43
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/7649ffe28b67aa2dad0f67ea01500c0ff91b2bac
Gecko Version          43.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150812.222959
Firmware Date          Wed Aug 12 22:30:07 UTC 2015
Bootloader             s1
(Reporter)

Updated

3 years ago
Status: NEW → RESOLVED
Last Resolved: 3 years ago
QA Whiteboard: [rtl-impact] → [rtl-impact][MGSEI-Triage+]
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.